%define name	libgii
%define version	0.9.1
%define release	%mkrel 2
%define major	0
%define libname	%mklibname gii %{major}
 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A flexible library for input handling
License:	GPL
Group:		System/Libraries
URL:		http://www.ggi-project.org/
Source0:	http://www.ggi-project.org/ftp/ggi/v2.1/%{name}-%{version}.src.tar.bz2
#Patch0:		libgii-0.8.5-dead-keys.patch.bz2
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LibGII is an input library developed by the GGI Project
(http://www.ggi-project.org). Its design philosophy is similar to
LibGGI, which deals with graphics output.

LibGII is based on the concept of input streams, which virtualize
access to the underlying input drivers. Events from various input
devices are abstracted into easy-to-use structures. LibGII also allows
the application to join streams together, receiving input from an
arbitrary combination of devices.

LibGII is a separate component from LibGGI, although LibGGI depends on
LibGII for input purposes. (LibGGI's input functions are simply
wrappers for LibGII functions.)

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{libname}-static-devel
Summary:	Static libraries for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
This package contains the static libraries that programmers will need
to develop applications which will use %{name}.

%prep
%setup -q
#%patch0 -p1 -b .dead-keys

%build
%configure2_5x	--disable-debug \
		--enable-static

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
 
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog ChangeLog.1999 FAQ INSTALL INSTALL.autoconf NEWS README doc/README*
%{_bindir}/*
%{_libdir}/ggi/*/*.la
%{_libdir}/ggi/*/*.so
%{_libdir}/*.la
%{_mandir}/man1/*
%{_mandir}/man7/*
%config(noreplace) %{_sysconfdir}/ggi/filter/keytrans
%config(noreplace) %{_sysconfdir}/ggi/filter/mouse
%config(noreplace) %{_sysconfdir}/ggi/libgii.conf
%dir %{_sysconfdir}/ggi
%dir %{_libdir}/ggi/input
%dir %{_libdir}/ggi/filter

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/ggi
%{_mandir}/man3/*
%{_libdir}/*.so

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/ggi/*/*.a

%changelog
* Sat Apr 29 2006 Stefan van der Eijk <stefan@eijk.nu> 0.9.1-2mdk
- rebuild for sparc
- %%mkrel

* Thu Aug 18 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.1-1mdk
- 0.9.1
- %%mkrel

* Tue Dec 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-1mdk
- 0.9.0
- drop P0 (merged upstream)

* Mon Sep 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.5-2mdk
- drop keys that are dead (not handled) nowadays

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.5-1mdk
- 0.8.5
- drop P0

* Sat Jan 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.4-1mdk
- 0.8.4
- P0 from upstream
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- cosmetics

* Tue Nov 18 2003 Stefan van der Eijk <stefan@eijk.nu> 0.8.3-5mdk
- rebuild 4 reupload (alpha)

* Tue Jul 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.8.3-4mdk
- rebuild for new rpm devel computation

* Tue Jun 17 2003 Götz Waschk <waschk@linux-mandrake.com> 0.8.3-3mdk
- mklibname macro

* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.8.3-2mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Sat Apr 05 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.8.3-1mdk
- 0.8.3

* Wed Jan 15 2003 Götz Waschk <waschk@linux-mandrake.com> 0.8.2-3mdk
- fix requires and provides of static-devel package

* Wed Jan 15 2003 Götz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- use autoconf2.5 macro
- add static library subpackage

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.8.2-1mdk
- 0.8.2

* Thu Nov 14 2002 Götz Waschk <waschk@linux-mandrake.com> 0.8.1-5mdk
- marc all configuration files as such
- move devel docs to devel package
- add missing man pages

* Fri Oct 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-4mdk
- rebuild

* Tue Oct 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-3mdk
- use %configure now libtool is fixed ( thx R.I.P. Deaddog )

* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-2mdk
- fix requires & provides libgii.conf (pixel)

* Thu Sep 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- updated by Götz Waschk <waschk@linux-mandrake.com> :
	- 0.8.1

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8-4mdk
- requires

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8-3mdk
- added by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- made the library package depends on main package for configuration files

* Sun Aug 26 2001 Götz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- shut up, tar
- fixed %%sysconfdir

* Mon Aug 20 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.8-1mdk
- first Mandrake release
